mbedtls_ssl_handshake_params Struct Reference

`#include <ssl_internal.h>`

Collaboration diagram for mbedtls_ssl_handshake_params:
[legend]

## Data Fields

int | sig_alg
int | cert_type
int | verify_sig_alg
mbedtls_dhm_context | dhm_ctx
mbedtls_ecdh_context | ecdh_ctx
mbedtls_ecjpake_context | ecjpake_ctx
unsigned char * | ecjpake_cache
size_t | ecjpake_cache_len
const mbedtls_ecp_curve_info ** | curves
unsigned char * | psk
size_t | psk_len
mbedtls_ssl_key_cert * | key_cert
int | sni_authmode
mbedtls_ssl_key_cert * | sni_key_cert
mbedtls_x509_crt * | sni_ca_chain
mbedtls_x509_crl * | sni_ca_crl
unsigned int | out_msg_seq
unsigned int | in_msg_seq
unsigned char * | verify_cookie
unsigned char | verify_cookie_len
unsigned char * | hs_msg
uint32_t | retransmit_timeout
unsigned char | retransmit_state
mbedtls_ssl_flight_item * | flight
mbedtls_ssl_flight_item * | cur_msg
unsigned int | in_flight_start_seq
mbedtls_ssl_transform * | alt_transform_out
unsigned char | alt_out_ctr [8]
mbedtls_md5_context | fin_md5
mbedtls_sha1_context | fin_sha1
mbedtls_sha256_context | fin_sha256
mbedtls_sha512_context | fin_sha512
void(* | update_checksum )(mbedtls_ssl_context *, const unsigned char *, size_t)
void(* | calc_verify )(mbedtls_ssl_context *, unsigned char *)
void(* | calc_finished )(mbedtls_ssl_context *, unsigned char *, int)
int(* | tls_prf )(const unsigned char *, size_t, const char *, const unsigned char *, size_t, unsigned char *, size_t)
size_t | pmslen
unsigned char | randbytes [64]
unsigned char | premaster [MBEDTLS_PREMASTER_SIZE]
int | resume
int | max_major_ver
int | max_minor_ver
int | cli_exts
int | new_session_ticket
int | extended_ms

## Detailed Description

Definition at line 163 of file ssl_internal.h.

## Field Documentation

unsigned char mbedtls_ssl_handshake_params::alt_out_ctr[8]

Alternative record epoch/counter for resending messages

Definition at line 220 of file ssl_internal.h.

mbedtls_ssl_transform* mbedtls_ssl_handshake_params::alt_transform_out

Alternative transform for resending messages

Definition at line 218 of file ssl_internal.h.

void(* mbedtls_ssl_handshake_params::calc_finished) (mbedtls_ssl_context *, unsigned char *, int)

Definition at line 243 of file ssl_internal.h.

void(* mbedtls_ssl_handshake_params::calc_verify) (mbedtls_ssl_context *, unsigned char *)

Definition at line 242 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::cert_type

Requested cert type

Definition at line 169 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::cli_exts

client extension presence

Definition at line 257 of file ssl_internal.h.

mbedtls_ssl_flight_item* mbedtls_ssl_handshake_params::cur_msg

Current message in flight

Definition at line 215 of file ssl_internal.h.

const mbedtls_ecp_curve_info** mbedtls_ssl_handshake_params::curves

Supported elliptic curves

Definition at line 186 of file ssl_internal.h.

mbedtls_dhm_context mbedtls_ssl_handshake_params::dhm_ctx

DHM key exchange

Definition at line 172 of file ssl_internal.h.

mbedtls_ecdh_context mbedtls_ssl_handshake_params::ecdh_ctx

ECDH key exchange

Definition at line 175 of file ssl_internal.h.

unsigned char* mbedtls_ssl_handshake_params::ecjpake_cache

Cache for ClientHello ext

Definition at line 180 of file ssl_internal.h.

size_t mbedtls_ssl_handshake_params::ecjpake_cache_len

Length of cached data

Definition at line 181 of file ssl_internal.h.

mbedtls_ecjpake_context mbedtls_ssl_handshake_params::ecjpake_ctx

EC J-PAKE key exchange

Definition at line 178 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::extended_ms

use Extended Master Secret?

Definition at line 263 of file ssl_internal.h.

mbedtls_md5_context mbedtls_ssl_handshake_params::fin_md5

Definition at line 229 of file ssl_internal.h.

mbedtls_sha1_context mbedtls_ssl_handshake_params::fin_sha1

Definition at line 230 of file ssl_internal.h.

mbedtls_sha256_context mbedtls_ssl_handshake_params::fin_sha256

Definition at line 234 of file ssl_internal.h.

mbedtls_sha512_context mbedtls_ssl_handshake_params::fin_sha512

Definition at line 237 of file ssl_internal.h.

mbedtls_ssl_flight_item* mbedtls_ssl_handshake_params::flight

Current outgoing flight

Definition at line 214 of file ssl_internal.h.

unsigned char* mbedtls_ssl_handshake_params::hs_msg

Reassembled handshake message

Definition at line 210 of file ssl_internal.h.

unsigned int mbedtls_ssl_handshake_params::in_flight_start_seq

Minimum message sequence in the flight being received

Definition at line 216 of file ssl_internal.h.

unsigned int mbedtls_ssl_handshake_params::in_msg_seq

Incoming handshake sequence number

Definition at line 203 of file ssl_internal.h.

mbedtls_ssl_key_cert* mbedtls_ssl_handshake_params::key_cert

chosen key/cert pair (server)

Definition at line 193 of file ssl_internal.h.

Referenced by mbedtls_ssl_own_cert(), and mbedtls_ssl_own_key().

int mbedtls_ssl_handshake_params::max_major_ver

max. major version client

Definition at line 255 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::max_minor_ver

max. minor version client

Definition at line 256 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::new_session_ticket

use NewSessionTicket?

Definition at line 260 of file ssl_internal.h.

unsigned int mbedtls_ssl_handshake_params::out_msg_seq

Outgoing handshake sequence number

Definition at line 202 of file ssl_internal.h.

size_t mbedtls_ssl_handshake_params::pmslen

premaster length

Definition at line 248 of file ssl_internal.h.

unsigned char mbedtls_ssl_handshake_params::premaster[MBEDTLS_PREMASTER_SIZE]

premaster secret

Definition at line 251 of file ssl_internal.h.

unsigned char* mbedtls_ssl_handshake_params::psk

PSK from the callback

Definition at line 189 of file ssl_internal.h.

size_t mbedtls_ssl_handshake_params::psk_len

Length of PSK from callback

Definition at line 190 of file ssl_internal.h.

unsigned char mbedtls_ssl_handshake_params::randbytes[64]

random bytes

Definition at line 250 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::resume

session resume indicator

Definition at line 254 of file ssl_internal.h.

unsigned char mbedtls_ssl_handshake_params::retransmit_state

Retransmission state

Definition at line 213 of file ssl_internal.h.

uint32_t mbedtls_ssl_handshake_params::retransmit_timeout

Current value of timeout

Definition at line 212 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::sig_alg

Hash algorithm for signature

Definition at line 168 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::sni_authmode

authmode from SNI callback

Definition at line 195 of file ssl_internal.h.

mbedtls_x509_crt* mbedtls_ssl_handshake_params::sni_ca_chain

trusted CAs from SNI callback

Definition at line 197 of file ssl_internal.h.

mbedtls_x509_crl* mbedtls_ssl_handshake_params::sni_ca_crl

trusted CAs CRLs from SNI

Definition at line 198 of file ssl_internal.h.

mbedtls_ssl_key_cert* mbedtls_ssl_handshake_params::sni_key_cert

key/cert list from SNI

Definition at line 196 of file ssl_internal.h.

int(* mbedtls_ssl_handshake_params::tls_prf) (const unsigned char *, size_t, const char *, const unsigned char *, size_t, unsigned char *, size_t)

Definition at line 244 of file ssl_internal.h.

void(* mbedtls_ssl_handshake_params::update_checksum) (mbedtls_ssl_context *, const unsigned char *, size_t)

Definition at line 241 of file ssl_internal.h.

unsigned char* mbedtls_ssl_handshake_params::verify_cookie

Cli: HelloVerifyRequest cookie Srv: unused

Definition at line 205 of file ssl_internal.h.

unsigned char mbedtls_ssl_handshake_params::verify_cookie_len

Cli: cookie length Srv: flag for sending a cookie

Definition at line 207 of file ssl_internal.h.

int mbedtls_ssl_handshake_params::verify_sig_alg

Signature algorithm for verify

Definition at line 170 of file ssl_internal.h.

The documentation for this struct was generated from the following file:

- ssl_internal.h